summaryrefslogtreecommitdiff
path: root/misc/fileinfo/doinst.sh
diff options
context:
space:
mode:
authorChristopher Walker <kris240376@gmail.com>2010-05-13 00:59:23 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:23 +0200
commit336c941bcf0760d305f6371b933ef12265c2000b (patch)
treec820a24446b0108893e2bd5d89ff8d60dd2cbf12 /misc/fileinfo/doinst.sh
parent24476c05d65547bbb8352195d0be4cce8fc43b07 (diff)
downloadslackbuilds-336c941bcf0760d305f6371b933ef12265c2000b.tar.gz
misc/fileinfo: Added to 13.0 repository
Diffstat (limited to 'misc/fileinfo/doinst.sh')
-rw-r--r--misc/fileinfo/doinst.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/misc/fileinfo/doinst.sh b/misc/fileinfo/doinst.sh
new file mode 100644
index 0000000000..6e75204a61
--- /dev/null
+++ b/misc/fileinfo/doinst.sh
@@ -0,0 +1,22 @@
+# Use the magic mime file from Apache as the mime database
+if [ -a /etc/httpd/magic ]; then
+ ln -s /etc/httpd/magic /etc/magic.mime
+else
+ cat << EOF
+
+ This extension requires a MIME database /etc/magic.mime. You can
+ symlink to the one included with Apache with the following command
+
+ # ln -s /etc/httpd/magic /etc/magic.mime
+EOF
+fi
+
+if ! grep ^extension=fileinfo.so /etc/httpd/php.ini 2>&1 > /dev/null; then
+ cat << EOF
+
+ Add the following line to the /etc/httpd/php.ini configuration
+ file in order to enable this extension
+
+ extension=fileinfo.so
+EOF
+fi